Bug 56299 - Shadow of wordart in .doc isn't rendered correctly
Summary: Shadow of wordart in .doc isn't rendered correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OOXML-WordArt
  Show dependency treegraph
 
Reported: 2012-10-22 22:17 UTC by allen
Modified: 2019-05-14 02:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
libre writer cannot open this file (1.49 MB, application/zip)
2012-10-22 22:20 UTC, allen
Details
MS Word 2007 export of original doc (56.62 KB, application/vnd.oasis.opendocument.text)
2012-10-22 22:24 UTC, allen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description allen 2012-10-22 22:17:43 UTC
Found a DOC file that libre writer doesn't understand, it firsts requests the "ASCII Filter Options" dialog, I tried the default and several others with no luck.  The opened document is just a bunch of control characters.  MS Word 2007 opens fine (don't know authoring tool).

Exported into ODT, and thing observed is the title object doesn't look the same, the wordart font lacking a shadow.  Another difference is the ODT file renders to 3 pages, the original document is 2 pages, there is something else going on in page two above "Upcoming Events", there are a bunch of ^^^^ in place of some kind of invisible table object in original DOC file.
Comment 1 allen 2012-10-22 22:20:03 UTC
Created attachment 68929 [details]
libre writer cannot open this file
Comment 2 allen 2012-10-22 22:24:57 UTC
Created attachment 68930 [details]
MS Word 2007 export of original doc

Opening this ODT in libre writer renders pretty close to original:

1.  Header graphic lacks shadow

2.  3 pages instead of 2, page two has a minor difference causing following text to span into 3rd page.
Comment 3 allen 2012-10-22 22:28:14 UTC
I just noticed original DOC is 8Mbytes, a two page newsletter.  The exported ODT is 56kbytes.
Comment 4 Julien Nabet 2013-03-04 19:44:44 UTC
Comment on attachment 68929 [details]
libre writer cannot open this file

Mimetype fixed
Comment 5 Julien Nabet 2013-03-04 19:45:09 UTC
Comment on attachment 68930 [details]
MS Word 2007 export of original doc

Mimetype fixed
Comment 6 Julien Nabet 2013-03-04 19:48:51 UTC
On pc Debian x86-64 with master sources updated yesterday (so future 4.1), the 2 files display quite the same way.

Allen: could you give a try to a newer LO version, 3.6.5 or 4.0.0?
Comment 7 allen 2013-03-04 21:13:52 UTC
Comment on attachment 68929 [details]
libre writer cannot open this file

22.doc opens using writer
Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)

Good work!

The graphic "The Happenings" font doesn't render the shadow effect the same as Microsoft Office, but that would be a different (minor) issue, this bug appears closed.
Comment 8 Jorendc 2013-04-10 22:00:53 UTC
Hi,

Thanks for your feedback.

(In reply to comment #7) 
> The graphic "The Happenings" font doesn't render the shadow effect the same
> as Microsoft Office, but that would be a different (minor) issue, this bug
> appears closed.

I see. The wordart is rendered quite good now. As you said, the shadow still isn't rendered well. Lets rename this bug then as such.

I can reproduce this using Mac 0SX 10.8.3 with LibreOffice Versie 4.0.2.2 .2.2 (Bouw-id: 4c82dcdd6efcd48b1d8bba66bfe1989deee49c3)
TinderBox: MacOSX TDF Release, Branch:libreoffice-4-0, Time: 2013-03-26_15:52:16; Dutch UI.

Priority:
- Minor: only the shadow, does make it substantially harder to make high quality work.
- Medium: default priority for minor bugs.

Kind regards,
Joren
Comment 9 A (Andy) 2015-02-26 20:24:29 UTC
Buggy behaviour reproducible with LO 4.4.1.2, Win 8.1

WRITER opens the file, but:
- the file has 3 instead of 2 pages
- the shadow of the header and the text frame below are not displayed correctly
- the footer is in black colour instead of grey
- all the main text elements are messed up
Comment 10 tommy27 2016-04-16 07:27:35 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 11 QA Administrators 2019-05-14 02:59:34 UTC
Dear allen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug